--- sc/source/filter/xcl97/xcl97rec.cxx-old	2009-10-09 23:32:32.000000000 +0200
+++ sc/source/filter/xcl97/xcl97rec.cxx	2009-10-09 23:34:13.000000000 +0200
@@ -1491,6 +1491,10 @@
         rStrm << aData[i];
 }
 
+void XclExpInterfaceEnd::WriteBody( XclExpStream& /*rStrm*/ )
+{
+}
+
 // ============================================================================
 
 XclExpFileSharing::XclExpFileSharing( const XclExpRoot& rRoot, sal_uInt16 nPasswordHash ) :
--- sc/source/filter/inc/xcl97rec.hxx-old	2009-10-10 13:49:17.000000000 +0200
+++ sc/source/filter/inc/xcl97rec.hxx	2009-10-10 13:50:31.000000000 +0200
@@ -570,6 +570,19 @@
 
 // ============================================================================
 
+/** Beginning of User Interface Records */
+class XclExpInterfaceEnd : public XclExpRecord
+{
+public:
+    explicit XclExpInterfaceEnd();
+    virtual ~XclExpInterfaceEnd();
+
+private:
+    virtual void WriteBody( XclExpStream& rStrm );
+};
+
+// ============================================================================
+
 /** Write Access User Name - This record contains the user name, which is
     the name you type when you install Excel. */
 class XclExpWriteAccess : public XclExpRecord
